Incorrect version number inside plugins page (backoffice)

Hi,

I've updated yesterday WP Smush Pro to the latest version and it keeps saying it's version 1.0.3 and that I need to update to version 2.0.5.
I've juste downloaded again today and reinstalled the latest version and it's still saying the same.

Best Regards